package com.pcloud.book.group.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/17 11:23
 */
public class AddClassifyVO {

    @ApiModelProperty("微信群二维码标识")
    private Long bookGroupId;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("运营标识")
    private Long channelId;

    @ApiModelProperty("分类名称")
    private String classify;

    @ApiModelProperty("分类介绍")
    private String classifyIntroduce;

    @ApiModelProperty("价格")
    private BigDecimal price;

    @ApiModelProperty("换群数量")
    private Integer changeNumber;

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getClassifyIntroduce() {
        return classifyIntroduce;
    }

    public void setClassifyIntroduce(String classifyIntroduce) {
        this.classifyIntroduce = classifyIntroduce;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getChangeNumber() {
        return changeNumber;
    }

    public void setChangeNumber(Integer changeNumber) {
        this.changeNumber = changeNumber;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    @Override
    public String toString() {
        return "AddClassifyVO{" +
                "bookGroupId=" + bookGroupId +
                ", bookId=" + bookId +
                ", channelId=" + channelId +
                ", classify='" + classify + '\'' +
                ", classifyIntroduce='" + classifyIntroduce + '\'' +
                ", price=" + price +
                ", changeNumber=" + changeNumber +
                '}';
    }
}
